%global momorel 7

Summary: Video processing tool
Name: avidemux
Version: 2.4.3
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia

URL: http://www.avidemux.org/
Source0: http://download.berlios.de/%{name}/%{name}_%{version}.tar.gz
NoSource: 0
Source1: %{name}.desktop
Source2: %{name}.png
Patch0: %{name}-2.3.0-ppc64.patch
Patch1: %{name}-%{version}-x264.patch
Patch2: %{name}-%{version}-gcc44-movq.patch
Patch3: %{name}-%{version}-fix-avidemux-cmakelists.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel >= 1.2.7-11m
BuildRequires: alsa-lib-devel
BuildRequires: arts-devel
BuildRequires: desktop-file-utils
BuildRequires: faad2-devel >= 2.7
BuildRequires: ffmpeg >= 0.5
BuildRequires: fontconfig-devel
BuildRequires: gtk2-devel
BuildRequires: lame-devel
BuildRequires: libid3tag
BuildRequires: libmad
BuildRequires: libvorbis-devel
BuildRequires: mjpegtools-devel >= 1.6.0-5m
BuildRequires: qt-devel
BuildRequires: slang-devel
BuildRequires: x264-devel >= 0.0.1127-0.20090309
BuildRequires: xvid

%description
Avidemux is a graphical tool to edit video. It can open AVI, MPEG, Nuppelvideo and BMPs. Most common codecs are supported (M-JPEG, MPEG, DivX, Xvid, huffyuv, WMA, etc.) thanks to libavcodec. Video can be edited, cut, appended, filtered (resize/crop/denoise), and re-encoded to either AVI (DivX/Xvid) or MPEG 1/2.

%prep
%setup -q -n %{name}_%{version}
%ifarch ppc64
%patch0 -p1
%endif

%patch1 -p1 -b .x264

case "`gcc -dumpversion`" in
4.4.*)
%patch2 -p1 -b .gcc44~
;;
esac

%patch3 -p1 -b .fix-build

%build
export CFLAGS='-O2 -mtune=generic -fstack-protector'
export CXXFLAGS='-O2 -mtune=generic -fstack-protector'
%cmake .
make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category AudioVideoEditing \
  --add-category AudioVideo \
  %{SOURCE1}

pushd %{buildroot}%{_bindir}
ln -s avidemux2_gtk avidemux2
ln -s avidemux2_gtk avidemux
popd

# where shoud it go?
rm -rf %{buildroot}%{_bindir}/i18n

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog History README TODO
%{_bindir}/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/avidemux.desktop
%{_datadir}/pixmaps/avidemux.png

%changelog
* Sun May 31 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.3-7m)
- fix up broken avidemux/CMakeLists.txt to enable build with new cmake
- http://bugs.gentoo.org/show_bug.cgi?id=268618

* Wed May  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.3-6m)
- rebuild against faad2-2.7

* Mon Apr 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.3-5m)
- apply gcc44 patch from RPM Fusion (2.4.4-5)

* Wed Mar 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.3-4m)
- rebuild against x264 ffmpeg

* Thu Feb 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.3-3m)
- rebuild against x264 ffmpeg

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.3-2m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.3-1m)
- update 2.4.3
- rebuild against x264 ffmpeg

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.1-6m)
- rebuild against x264

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.1-5m)
- rebuild against qt-4.4.0-1m

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.1-4m)
- rebuild against x264

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.1-3m)
- rebuild against gcc43

* Fri Mar 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.4.1-2m)
- import two patches from gentoo
-- http://bugs.gentoo.org/show_bug.cgi?id=213099

* Thu Feb 28 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1
- no longer annoying firefox dependency

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.3.0-19m)
- rebuild against firefox-2.0.0.12

* Fri Dec 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-18m)
- rebuild against x264-0.0.712-0.20071219

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.0-17m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.0-16m)
- rebuild against firefox-2.0.0.10

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.0-15m)
- rebuild against firefox-2.0.0.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.3.0-14m)
- rebuild against firefox-2.0.0.8

* Wed Sep 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.0-13m)
- rebuild against firefox-2.0.0.7

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.0-12m)
- rebuild against libvorbis-1.2.0-1m

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.0-11m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.3.0-10m)
- update firefox_ver
- rebuild against 2.0.0.6

* Tue Jul 24 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.3.0-9m)
- update firefox_ver

* Sat Jun  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.0-8m)
- rebuild against firefox

* Thu Apr 05 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.3.0-7m)
- rebuild against x264

* Thu Mar 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.0-6m)
- update firefox_ver

* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.0-5m)
- update firefox_ver

* Tue Mar 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-4m)
- add gcc-4.2 patch
-- avidemux-2.3.0-gcc42.patch

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.0-3m)
- enable ppc64

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.0-2m)
- revise %%files to avoid conflicting
- %%{_datadir}/locale/*/LC_MESSAGES is already provided by glibc-common

* Fri Dec 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-1m)
- update 2.3.0

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.2-7m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.2-6m)
- good-bye autoreconf

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.2-5m)
- remove category Application

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.1.2-4m)
- rebuild against expat-2.0.0-1m

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-3m)
- revised run script

* Sun Apr 23 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-2m)
- rebuild against mozilla-1.7.13
- revised spec

* Fri Mar 10 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-1m)
- version 2.1.2

* Sun Feb  5 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.42-2m)
- use gcc_3_2 on 64bit archs

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.42-1m)
- update 2.0.42
- add gcc-4.1 patch.
- Patch0:  avidemux-2.0.42-gcc41.patch

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.38-0.1.2m)
- rebuild against SDL-1.2.7-11m

* Fri Feb 25 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.38-0.1.1m)
  update to 2.0.38rc1

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.36-2m)
- move avidemux.desktop to %%{_datadir}/applications/
- BuildPreReq: desktop-file-utils

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0.36-1m)
- update to 2.0.36.

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.30-3m)
- rebuild against SDL-devel

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.30-2m)
- rebuild with lame, xvid.

* Mon Oct 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.30-1m)
- update to 2.0.30

* Fri Oct 01 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.28-1m)
- update to 2.0.28

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.22-1m)
- update to 2.0.22
- rebuild against xvid-1.0.0rc4 (apiversion 4)

* Tue Jan  6 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.20-1m)
- version 2.0.20
- Major feature enhancements
- - the UI has changed a lot (the shortcut keys have changed)

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.0.18-2m)
- use lidmad

* Wed Nov  5 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.18-1m)
- major feature enhancements

* Sat Sep 27 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.16-1m)
- major feature enhancements

* Thu Aug 21 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.14-1m)
- update to 2.0.14
- major bugfixes
- use %%NoSource macro

* Thu Aug  7 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.12-1m)
- gtk2 version
- This is still development version, but according to the project homepage,
-  "0.9 branch is becoming really obsolete and has problems dealing with
-  newer libxml and libdivx libraries"
-  add BuildPreReq: xvid, mad-devel
- minor feature enhancements
- more detailed description

* Wed Apr 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-1m)
- minor bugfixes

* Sun Mar 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.103.1m)
- 0.9rc3
- major bugfixes

* Sun Mar  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.102.1m)
- 0.9rc2
- major bugfixes

* Sun Mar  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.101.1m)
- 0.9rc1
- major feature enhancements

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.30.1m)
- 0.9pre30
- major feature enhancements

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9-0.26.2m)
- apply an official patch for freetype2-2.1.3

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9-0.26.1m)
- 0.9pre26
